# -*- coding: utf-8 -*-

"""
this module is generated by https://pypi.org/project/tt4human = 0.3.1
"""

from pathlib import Path
from tt4human.api import BetterStrEnum, TruthTable


class StepEnum(BetterStrEnum):
    deploy_config = "DEPLOY_CONFIG"
    create_config_snapshot = "CREATE_CONFIG_SNAPSHOT"
    delete_config = "DELETE_CONFIG"


class SemanticBranchNameEnum(BetterStrEnum):
    main = "main"
    release = "release"


class RuntimeNameEnum(BetterStrEnum):
    local = "local"
    ci = "ci"


class EnvNameEnum(BetterStrEnum):
    devops = "devops"


truth_table = TruthTable.from_csv(
    path=Path(__file__).absolute().parent.joinpath("simple_config_truth_table.tsv"),
)

if __name__ == "__main__":
    assert truth_table.evaluate(case={'step': 'DEPLOY_CONFIG', 'semantic_branch_name': 'main', 'runtime_name': 'local', 'env_name': 'devops'}) is True