# -*- coding: utf-8 -*-

"""
this module is generated by https://pypi.org/project/tt4human = 0.3.1
"""

from pathlib import Path
from tt4human.api import BetterStrEnum, TruthTable


class StepEnum(BetterStrEnum):
    create_virtualenv = "CREATE_VIRTUALENV"
    install_dependencies = "INSTALL_DEPENDENCIES"
    build_source_code = "BUILD_SOURCE_CODE"
    run_code_coverage_test = "RUN_CODE_COVERAGE_TEST"
    build_documentation = "BUILD_DOCUMENTATION"
    update_documentation = "UPDATE_DOCUMENTATION"
    run_integration_test = "RUN_INTEGRATION_TEST"
    publish_package = "PUBLISH_PACKAGE"


class SemanticBranchNameEnum(BetterStrEnum):
    main = "main"
    feature = "feature"
    fix = "fix"
    doc = "doc"
    test = "test"
    release = "release"


class RuntimeNameEnum(BetterStrEnum):
    local = "local"
    ci = "ci"


class EnvNameEnum(BetterStrEnum):
    devops = "devops"
    sbx = "sbx"


truth_table = TruthTable.from_csv(
    path=Path(__file__).absolute().parent.joinpath("simple_python_truth_table.tsv"),
)

if __name__ == "__main__":
    assert truth_table.evaluate(case={'step': 'CREATE_VIRTUALENV', 'semantic_branch_name': 'main', 'runtime_name': 'local', 'env_name': 'devops'}) is True